Loading...
Searching...
No Matches
ConstUpdateEvent Class Reference

`#include <gnuradio/qtgui/spectrumUpdateEvents.h>`

## Public Member Functions

| ConstUpdateEvent (const std::vector< volk::vector< double > > realDataPoints, const std::vector< volk::vector< double > > imagDataPoints, const uint64_t numDataPoints)
| ~ConstUpdateEvent () override
int | which () const
const std::vector< const double * > | getRealPoints () const
const std::vector< const double * > | getImagPoints () const
uint64_t | getNumDataPoints () const
bool | getRepeatDataFlag () const

## Static Public Member Functions

static QEvent::Type | Type ()

## Constructor & Destructor Documentation

## ConstUpdateEvent()

ConstUpdateEvent::ConstUpdateEvent | ( | const std::vector< volk::vector< double > > | realDataPoints,
|  | const std::vector< volk::vector< double > > | imagDataPoints,
|  | const uint64_t | numDataPoints )

## ~ConstUpdateEvent()

ConstUpdateEvent::~ConstUpdateEvent | ( |  | ) |

override

## Member Function Documentation

## getImagPoints()

const std::vector< const double * > ConstUpdateEvent::getImagPoints | ( |  | ) | const

## getNumDataPoints()

uint64_t ConstUpdateEvent::getNumDataPoints | ( |  | ) | const

## getRealPoints()

const std::vector< const double * > ConstUpdateEvent::getRealPoints | ( |  | ) | const

## getRepeatDataFlag()

bool ConstUpdateEvent::getRepeatDataFlag | ( |  | ) | const

## Type()

QEvent::Type ConstUpdateEvent::Type | ( |  | ) |

inline static

References SpectrumUpdateEventType.

## which()

int ConstUpdateEvent::which | ( |  | ) | const

The documentation for this class was generated from the following file:

- spectrumUpdateEvents.h